diff --git a/dlls/mmdevapi/tests/capture.c b/dlls/mmdevapi/tests/capture.c
index c6152e5..d3ad9fb 100644
--- a/dlls/mmdevapi/tests/capture.c
+++ b/dlls/mmdevapi/tests/capture.c
@@ -127,19 +127,28 @@ static void test_capture(IAudioClient *ac, HANDLE handle, WAVEFORMATEX *wfx)
         ok(0, "GetBuffer returned %08x\n", hr);
     trace("Device position is at %u, amount of frames locked: %u\n", (DWORD)devpos, frames);
 
-    if (frames) {
-        hr = IAudioCaptureClient_GetBuffer(acc, &data, &frames, &flags, &devpos, &qpcpos);
+    if (1) {
+        UINT32 frames2 = 0xabadcafe;
+        BYTE *data2 = (void*)0xdeadf00d;
+        DWORD flags2=0xabadcafe;
+        hr = IAudioCaptureClient_GetBuffer(acc, &data2, &frames2, &flags2, NULL, NULL);
         ok(hr == AUDCLNT_E_OUT_OF_ORDER, "Out of order IAudioCaptureClient_GetBuffer returns %08x\n", hr);
+        ok(frames2 == 0xabadcafe, "Out of order frames changed to %x\n", frames2);
+        ok(data2 == (void*)0xdeadf00d, "Out of order data changed to %p\n", data2);
+        ok(flags2 == 0xabadcafe, "Out of order flags changed to %x\n", flags2);
     }
 
     hr = IAudioCaptureClient_ReleaseBuffer(acc, frames);
     ok(hr == S_OK, "Releasing buffer returns %08x\n", hr);
 
-    if (frames) {
+    if (1) {
         hr = IAudioCaptureClient_ReleaseBuffer(acc, frames);
         ok(hr == AUDCLNT_E_OUT_OF_ORDER, "Releasing buffer twice returns %08x\n", hr);
     }
 
+    hr = IAudioCaptureClient_ReleaseBuffer(acc, 0);
+    ok(hr == S_OK, "Releasing buffer returns %08x\n", hr);
+
     IUnknown_Release(acc);
 }
 
